---
title: Navigator.credentials
slug: Web/API/Navigator/credentials
tags:
  - API
  - CredentialsContainer
  - Property
  - Reference
  - credentials
---
<div>{{securecontext_header}}{{APIRef("")}}</div>

<p>The <strong><code>credentials</code></strong> property of the {{domxref("Navigator")}} interface returns the {{domxref("CredentialsContainer")}} interface, which exposes methods to request credentials. The {{domxref("CredentialsContainer")}} interface also notifies the user agent when an interesting event occurs, such as a successful sign-in or sign-out. This interface can be used for feature detection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var credentialsContainer = navigator.credentials</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("CredentialsContainer")}} interface.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">if ('credentials' in navigator) {
  navigator.credentials.get({password: true})
  .then(function(creds) {
    //Do something with the credentials.
  });
} else {
  //Handle sign-in the way you did before.
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.credentials")}}</p>
